## net.i2p.router.web
Class ContentHelper

    java.lang.Object
      net.i2p.router.web.ContentHelper

    public class ContentHelper

extends java.lang.Object

Constructor Summary
`ContentHelper()`

Method Summary
`java.lang.String` `getContent()`
`java.lang.String` `getTextContent()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setMaxLines(java.lang.String lines)`
`void` `setPage(java.lang.String page)`
`void` `setStartAtBeginning(java.lang.String moo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHelper

    public ContentHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setPage

    public void setPage(java.lang.String page)

### setStartAtBeginning

    public void setStartAtBeginning(java.lang.String moo)

### setMaxLines

    public void setMaxLines(java.lang.String lines)

### getContent

    public java.lang.String getContent()

### getTextContent

    public java.lang.String getTextContent()